#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_LoadResourceCFGData
{
	//key
	int mID;
	//资源类型
	int mResType;
	//资源路径
	std::string mResPath;
};

class Fish_LoadResourceCFG
{
public:
private:
	static std::auto_ptr<Fish_LoadResourceCFG> msSingleton;
public:
	int GetCount();
	const Fish_LoadResourceCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_LoadResourceCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_LoadResourceCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_LoadResourceCFGData> mMapData;
};
